%global namedreltag .final
%global namedversion %{version}%{?namedreltag}
Name:          picketbox-commons
Version:       1.0.0
Release:       %mkrel 2
Summary:       Picketbox Commons
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/picketbox
# svn export http://anonsvn.jboss.org/repos/picketbox/commons/tags/1.0.0.final/picketbox-commons picketbox-commons-1.0.0.final
# cd picketbox-commons-1.0.0.final
# rm -rf .classpath .project .settings
# tar czf picketbox-commons-1.0.0.final-src-svn.tar.gz picketbox-commons-1.0.0.final
Source0:       picketbox-commons-%{namedversion}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

BuildRequires: jboss-parent

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
PicketBox is a Java Security Framework that provides Java developers the
following functionality:

* Authentication Support.
* Authorization Support.
* Audit Support.
* Security Mapping Support.

This package contains common classes for security projects.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build

# no tests available
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
install -m 644 target/%{name}-%{namedversion}.jar \
   %{buildroot}%{_javadir}/jboss/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 377687
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 gil <gil> 1.0.0-1.mga3
+ Revision: 248120
- imported package picketbox-commons

